본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Custom audience targeting for ad group

사이드 메뉴

Kakao Map

Search

Kakao Moment

Custom audience targeting

This document describes how to use the Custom audience targeting APIs.

View category data for custom audience targeting

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/targetings/data/categoriesBusiness token

Retrieves the category (interest or business type) data for custom audience targeting that you can use as a targeting option when you create or edit an ad group.

Send a GET request with the issued business token in the request header. You must pass either INTEREST or BUSINESS_TYPE for the type parameter. If type is not specified, the request fails, and an error is returned.

If the request is successful, this API returns the list of the category IDs according to the requested interest or the business type through the data field. You can pass ufoInterests or ufoBusinessTypes for the targeting parameter when creating or editing an ad group. If failed, refer to Error code to figure out its failure cause.

The category ID rules are applied as follows:

  • Upper category: 3-digit alphanumeric string
  • Middle category: 5-digit string that consists of the 3-digit Upper category ID and a unique 2-digit number.
  • Lower category: 7-digit string that consists of the 5-digit Middle category ID and a unique 2-digit number.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
typeStringCategory type.
Either INTEREST or BUSINESS_TYPE.
O

Response

Body
NameTypeDescription
typeStringCategory type.
dataCategoryData[]Category data.

Sample

Request: INTEREST
curl -X GET "https://apis.moment.kakao.com/openapi/v4/targetings/data/categories?type=INTEREST" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Request: BUSINESS_TYPE
curl -X GET "https://apis.moment.kakao.com/openapi/v4/targetings/data/categories?type=BUSINESS_TYPE" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Response: INTEREST
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"type": "INTEREST",
"data": [
{
"id": "I01",
"name": "여가/일상",
"children": [
{
"id": "I0101",
"name": "소셜활동",
"children": []
},
{
"id": "I0102",
"name": "TV/라디오",
"children": [
{
"id": "I010201",
"name": "드라마",
"children": []
},
{
}
]
},
{
}
]
},
...
]
}
Response: BUSINESS_TYPE
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"type": "BUSINESS_TYPE",
"data": [
{
"id": "P01",
"name": "인터넷서비스",
"children": [
{
"id": "P0101",
"name": "SNS/커뮤니티",
"children": []
},
{
"id": "P0102",
"name": "포털",
"children": []
},
{
"id": "P0103",
"name": "동영상",
"children": []
},
{
"id": "P0104",
"name": "다운로드서비스",
"children": []
},
{
"id": "P0105",
"name": "리워드앱",
"children": []
},
{
"id": "P0106",
"name": "e러닝",
"children": []
},
{
"id": "P0107",
"name": "편의기능",
"children": []
}
]
},
...
]
}

View location for custom audience targeting

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/targetings/location/mapBusiness token

Retrieves the locations that you can use as a targeting option when you create or edit an ad group for geotargeting.

You can retrieve the locations used for geotargeting by passing the detailed address or place name when you request this API. You must specify the place name or the detailed address by passing either the street name and building number or - dong and -lot number. The search results are provided in order of accuracy according to the requested detailed address or place.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. You must pass the detailed address you want to search through the keyword parameter. If the request is successful, this API returns the address you requested and the list of the retrieved addresses in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
keywordStringDetailed address you want to search for.
Detailed address or location including the street name + building number or -dong + -lot information.
O

Response

Body
NameTypeDescription
queryStringDetailed address you requested.
itemsItem[]List of the retrieved address.
Item
NameTypeDescription
addressStringRetrieved detailed address.
Required value when creating or editing an ad group.
labelNameStringReference position.
Required value when creating or editing an ad group.
geohashStringGeo hash value.
Required value when creating an ad group.
Use this value for geohashes as an array when creating or editing an ad group.
centerLatitudeDoubleLatitude of the center.
Required value when creating or editing an ad group.
centerLongitudeDoubleLongitude of the center.
Required value when creating or editing an ad group.
latitudeDoubleLatitude of the retrieved location.
Required value when creating or editing an ad group.
longitudeDoubleLongitude of the retrieved location.
Required value when creating or editing an ad group.
poiStringRepresentative code of the searched location.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/targetings/location/map?keyword=판교역로 235" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"query": "판교역로 235",
"items": [
{
"poi": "N33885142",
"labelName": "경기 성남시 분당구 판교역로 235",
"address": "경기 성남시 분당구 삼평동 681",
"longitude": 127.108638414972,
"latitude": 37.402095568027,
"geohash": "wydku2",
"centerLongitude": 127.1063232421875,
"centerLatitude": 37.40020751953125
}
]
}

See more

Was this helpful?